List WhatsApp webhooks
curl --request GET \
--url https://api.wavix.com/v1/whatsapp/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/whatsapp/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/whatsapp/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wavix.com/v1/whatsapp/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wavix.com/v1/whatsapp/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wavix.com/v1/whatsapp/webhooks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wavix.com/v1/whatsapp/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"webhooks": [
{
"uuid": "6f1c2a4e-8b3d-4c5e-9f70-1a2b3c4d5e6f",
"url": "https://example.com/wavix",
"group": "messages",
"enabled": true,
"enabled_events": [
"whatsapp.message.received",
"whatsapp.message.sent",
"whatsapp.message.delivered",
"whatsapp.message.read",
"whatsapp.message.failed",
"whatsapp.contact.marketing_stopped",
"whatsapp.contact.marketing_resumed"
],
"created_at": "2026-10-21T12:00:00Z"
},
{
"uuid": "2d8e4f6a-1c3b-4a5d-8e7f-9a0b1c2d3e4f",
"url": "https://example.com/wavix/templates",
"group": "templates",
"enabled": true,
"enabled_events": [
"whatsapp.template.approved",
"whatsapp.template.rejected",
"whatsapp.template.paused",
"whatsapp.template.disabled",
"whatsapp.template.flagged",
"whatsapp.template.category_changed",
"whatsapp.template.quality_changed",
"whatsapp.template.updated"
],
"created_at": "2026-10-21T12:05:00Z"
}
]
}WhatsApp
List WhatsApp webhooks
Returns the WhatsApp webhooks registered for your account.
An account has at most 1 webhook per group, so the list holds up to 3 items. It never includes the signing secrets.
Requires: Your account must have WhatsApp available, must have a subscription plan, and must not be blocked or suspended.
GET
/
v1
/
whatsapp
/
webhooks
List WhatsApp webhooks
curl --request GET \
--url https://api.wavix.com/v1/whatsapp/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/whatsapp/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/whatsapp/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wavix.com/v1/whatsapp/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wavix.com/v1/whatsapp/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wavix.com/v1/whatsapp/webhooks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wavix.com/v1/whatsapp/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"webhooks": [
{
"uuid": "6f1c2a4e-8b3d-4c5e-9f70-1a2b3c4d5e6f",
"url": "https://example.com/wavix",
"group": "messages",
"enabled": true,
"enabled_events": [
"whatsapp.message.received",
"whatsapp.message.sent",
"whatsapp.message.delivered",
"whatsapp.message.read",
"whatsapp.message.failed",
"whatsapp.contact.marketing_stopped",
"whatsapp.contact.marketing_resumed"
],
"created_at": "2026-10-21T12:00:00Z"
},
{
"uuid": "2d8e4f6a-1c3b-4a5d-8e7f-9a0b1c2d3e4f",
"url": "https://example.com/wavix/templates",
"group": "templates",
"enabled": true,
"enabled_events": [
"whatsapp.template.approved",
"whatsapp.template.rejected",
"whatsapp.template.paused",
"whatsapp.template.disabled",
"whatsapp.template.flagged",
"whatsapp.template.category_changed",
"whatsapp.template.quality_changed",
"whatsapp.template.updated"
],
"created_at": "2026-10-21T12:05:00Z"
}
]
}Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Response
The WhatsApp webhooks of your account, empty when it has none.
Was this page helpful?